<?php
namespace App;

/**
 * Open Users - Admin class
 * 
 * Open Users
 *
 * @copyright SCHLIX Web Inc
 *
 * @license GPLv3
 *
 * @version 1.0
 * @package openusers
 * @author  SCHLIX Web Inc <info@schlix.com>
 * @link    http://www.schlix.com
 */
class OpenUsers_Admin extends \App\Users_Admin {


    //_________________________________________________________________________//
    public function __construct() {
/*        $datatype = 'basicnestedcategory';
        $methods = array('standard_main_app' => 'Main Application Page',
            'standard_browse' => 'View a specific item/category'
        );
        parent::__construct($datatype, $methods);
        $this->setItemFieldNamesForAjaxListing('cid', 'id', 'title', 'virtual_filename', 'date_available', 'date_created', 'date_modified', 'sort_order', 'pageview', 'status', 'featured');
        $this->setCategoryFieldNamesForAjaxListing('cid', 'parent_id', 'title', 'virtual_filename', 'date_available', 'date_created', 'date_modified', 'sort_order', 'status');*/
        parent::__construct();
    }
    //_________________________________________________________________________//
    /**
     * Replace the default javascript with system
     * @global \SCHLIX\cmsHTMLPageHeader $HTMLHeader
     */
    public function loadApplicationJavascript()
    {
        global $HTMLHeader;
        
        $script = $this->getAjaxControllerScript();
        
        if ($script)
            $HTMLHeader->JAVASCRIPT($script);// /*$this->app_absolute_url_path.'/'.$this->app_js_controller*/);
        parent::loadApplicationJavascript();
    }

    /**
     * Get the ajax controller default script file name.
     * @return string
     */
    public function getAjaxControllerScript()
    {
        $app_name_only ='users';
        $expected_name = "/apps/{$app_name_only}/{$app_name_only}.admin.js";
        if (file_exists(CURRENT_SUBSITE_PATH . $expected_name)) {
            return CURRENT_SUBSITE_URL_PATH_NO_BASE . $expected_name;
        }
        elseif (file_exists(SCHLIX_SYSTEM_PATH . $expected_name)) {
            return SCHLIX_SYSTEM_URL_PATH_NO_BASE . $expected_name;
        }
        else
            return FALSE;
    } 
}
 